[arch-commits] Commit in kdelibs/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Sat Oct 11 06:10:50 EDT 2008


    Date: Saturday, October 11, 2008 @ 06:10:50
  Author: pierre
Revision: 14891

Merged revisions 14889 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/kdelibs/trunk

........
  r14889 | pierre | 2008-10-11 11:41:15 +0200 (Sa, 11 Okt 2008) | 1 line
  
  upgpkg: kdelibs 4.1.2-2
........

Added:
  kdelibs/repos/extra-i686/kdedglobalaccel.patch
    (from rev 14889, kdelibs/trunk/kdedglobalaccel.patch)
Modified:
  kdelibs/repos/extra-i686/	(properties)
  kdelibs/repos/extra-i686/PKGBUILD

-----------------------+
 PKGBUILD              |    9 ++++++---
 kdedglobalaccel.patch |   31 +++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 3 deletions(-)


Property changes on: kdelibs/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /kdelibs/trunk:1-13237
   + /kdelibs/trunk:1-14890

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-11 09:42:05 UTC (rev 14890)
+++ extra-i686/PKGBUILD	2008-10-11 10:10:50 UTC (rev 14891)
@@ -3,7 +3,7 @@
 
 pkgname=kdelibs
 pkgver=4.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="KDE Core Libraries"
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
@@ -17,13 +17,16 @@
 options=('docs')
 install='kdelibs.install'
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
-        'kde-applications-menu.patch' 'archlinux-menu.patch')
+        'kde-applications-menu.patch' 'archlinux-menu.patch' 'kdedglobalaccel.patch')
 md5sums=('cb5f43d2b11669fb17b0a1ecf3736c17'
          '3daa0f01fe26325fb3dbd807a04898ad'
-         '0ad42200df2d2b8aab01d2ef4b21e02f')
+         '0ad42200df2d2b8aab01d2ef4b21e02f'
+         '5798b93694522b8d2d98ddb60ccf9a3a')
 
 build() {
 	cd $srcdir/${pkgname}-${pkgver}
+	# fix crash with broken config files (see Bug #171870 and #171206)
+	patch -p0 -i $srcdir/kdedglobalaccel.patch || return 1
 	# avoid file conflict with gnome-menu
 	patch -p1 -i $srcdir/kde-applications-menu.patch || return 1
 	# add Archlinux menu entry

Copied: kdelibs/repos/extra-i686/kdedglobalaccel.patch (from rev 14889, kdelibs/trunk/kdedglobalaccel.patch)
===================================================================
--- extra-i686/kdedglobalaccel.patch	                        (rev 0)
+++ extra-i686/kdedglobalaccel.patch	2008-10-11 10:10:50 UTC (rev 14891)
@@ -0,0 +1,31 @@
+Index: kdeui/shortcuts/kdedglobalaccel.cpp
+===================================================================
+--- kdeui/shortcuts/kdedglobalaccel.cpp	(Revision 866735)
++++ kdeui/shortcuts/kdedglobalaccel.cpp	(Revision 866736)
+@@ -394,8 +394,9 @@
+ 
+ void KdedGlobalAccel::unRegister(const QStringList &actionId)
+ {
++    kDebug(125) << actionId;
++
+     Q_ASSERT(actionId.size()==4);
+-
+     if (actionId.size() < 4) {
+         return;
+     }
+@@ -661,7 +662,14 @@
+ 
+             foreach (int key, ad->keys) {
+                 if (key != 0) {
+-                    d->keyToAction.insert(key, ad);
++                    if (d->keyToAction.contains(key)) {
++                        // The shortcut is already used. The config file is
++                        // broken. Ignore the request.
++                        ad->keys.removeAll(key);
++                        kWarning() << "Shortcut found twice in kglobalshortcutsrc.";
++                    } else {
++                        d->keyToAction.insert(key, ad);
++                    }
+                 }
+             }
+         }




More information about the arch-commits mailing list